org.apache.tomcat.buildutil

## Class SignCode

- java.lang.Object
- - org.apache.tools.ant.ProjectComponent
  - - org.apache.tools.ant.Task
    - - org.apache.tomcat.buildutil.SignCode

- All Implemented Interfaces:
    Cloneable

      public class SignCode
      extends org.apache.tools.ant.Task

  Ant task that submits a file to the Symantec code-signing service.

- - ### Field Summary

    - ### Fields inherited from class org.apache.tools.ant.Task

      `target, taskName, taskType, wrapper`

    - ### Fields inherited from class org.apache.tools.ant.ProjectComponent

      `description, location, project`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SignCode()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addFileset(org.apache.tools.ant.types.FileSet fileset)`
    `void` | `execute()`
    `void` | `setApplicationName(String applicationName)`
    `void` | `setApplicationVersion(String applicationVersion)`
    `void` | `setDebug(String debug)`
    `void` | `setKeyStore(String keyStore)`
    `void` | `setKeyStorePassword(String keyStorePassword)`
    `void` | `setPartnerCode(String partnerCode)`
    `void` | `setPassword(String password)`
    `void` | `setSigningService(String signingService)`
    `void` | `setUserName(String userName)`

    - ### Methods inherited from class org.apache.tools.ant.Task

      `bindToOwner, getOwningTarget, getRuntimeConfigurableWrapper, getTaskName, getTaskType, getWrapper, handleErrorFlush, handleErrorOutput, handleFlush, handleInput, handleOutput, init, isInvalid, log, log, log, log, maybeConfigure, perform, reconfigure, setOwningTarget, setRuntimeConfigurableWrapper, setTaskName, setTaskType`

    - ### Methods inherited from class org.apache.tools.ant.ProjectComponent

      `clone, getDescription, getLocation, getProject, setDescription, setLocation, setProject`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SignCode

          public SignCode()

  - ### Method Detail

    - #### addFileset

          public void addFileset(org.apache.tools.ant.types.FileSet fileset)

    - #### setUserName

          public void setUserName(String userName)

    - #### setPassword

          public void setPassword(String password)

    - #### setPartnerCode

          public void setPartnerCode(String partnerCode)

    - #### setKeyStore

          public void setKeyStore(String keyStore)

    - #### setKeyStorePassword

          public void setKeyStorePassword(String keyStorePassword)

    - #### setApplicationName

          public void setApplicationName(String applicationName)

    - #### setApplicationVersion

          public void setApplicationVersion(String applicationVersion)

    - #### setSigningService

          public void setSigningService(String signingService)

    - #### setDebug

          public void setDebug(String debug)

    - #### execute

          public void execute()
                       throws org.apache.tools.ant.BuildException

      Overrides:
        `execute` in class `org.apache.tools.ant.Task`
      Throws:
        `org.apache.tools.ant.BuildException`

Copyright © 2000-2017 Apache Software Foundation. All Rights Reserved.